package com.fr.plugin;

import com.fr.design.mainframe.chart.gui.data.report.AbstractReportDataContentPane;
import com.fr.extended.chart.AbstractExtendedChartTableDataPane;
import com.fr.extended.chart.AbstractExtendedChartUIProvider;
import com.fr.plugin.pane.WaterChartReportDataContentPane;
import com.fr.plugin.pane.WaterChartTableDataPane;

/**
 * 写这里按照plugin顺序写，按照文档写，按照idea提示写，不要自己写
 */
public class WaterChartUI extends AbstractExtendedChartUIProvider {
    /**
     * 数据来源为数据集数据时使用的界面
     *
     * @return
     */
    @Override
    protected AbstractExtendedChartTableDataPane getTableDataSourcePane() {
        return new WaterChartTableDataPane();
    }

    /**
     * 数据来源为单元格时使用的界面
     *
     * @return
     */
    @Override
    protected AbstractReportDataContentPane getReportDataSourcePane() {
        return new WaterChartReportDataContentPane();
    }

    /**
     * 预览图
     *
     * @return
     */
    @Override
    public String[] getDemoImagePath() {
        return new String[]{
                "com/fr/plugin/web/icon/preview.png"
        };
    }

    /**
     * 32*32
     *
     * @return
     */
    @Override
    public String getIconPath() {
        return "com/fr/plugin/web/icon/icon.png";
    }
}
