package com.fr.plugin.pane;

import com.fr.design.formula.TinyFormulaPane;
import com.fr.extended.chart.AbstractExtendedChartReportDataPane;
import com.fr.plugin.WaterChartConfig;

/**
 * 选中单元格数据集时使用本类来执行
 */
public class WaterChartReportDataContentPane extends AbstractExtendedChartReportDataPane<WaterChartConfig> {
    private TinyFormulaPane xPane;

    /**
     * 返回标签数量
     *
     * @return
     */
    @Override
    protected String[] fieldLabel() {
        return new String[]{
                com.fr.design.i18n.Toolkit.i18nText("Plugin-Report_Data")
        };
    }

    /**
     * 返回公式选择器
     *
     * @return
     */
    @Override
    protected TinyFormulaPane[] formulaPanes() {
        if (xPane == null) {
            xPane = new TinyFormulaPane();
        }
        return new TinyFormulaPane[]{
                xPane
        };
    }

    /**
     * 更新界面
     *
     * @param waterChartConfig
     */
    @Override
    protected void populate(WaterChartConfig waterChartConfig) {
        populateField(xPane, waterChartConfig.getValue());
    }

    /**
     * 更新图表模型
     *
     * @return
     */
    @Override
    protected WaterChartConfig update() {
        WaterChartConfig waterChartConfig = new WaterChartConfig();
        updateField(xPane, waterChartConfig.getValue());
        return waterChartConfig;
    }
}
